Upgrading to the Barco CMS plugin 4.2 - Barco CMS 4.2

Barco CMS Plugin Guide 4.2

series
Barco CMS 4.2
revised_modified
2019-09-13

Depending on which version of the Barco CMS plugin you are upgrading from, there are different upgrade paths you must take. To upgrade the plugin from 3.0 to 4.2, you must first upgrade to 3.3, then to 4.0, and then to 4.2.

Before you begin

Unless you have many configuration settings you need to preserve, a clean installation of the Barco CMS plugin 4.2 is recommended. For more information, refer to Downloading and installing the Barco CMS plugin.

What you should know

It is best practice to back up your databases before an upgrade.
IMPORTANT: After upgrading to Barco CMS 4.2, all previous configuration made in the AdvancedSettings.xml file is lost. All advanced settings are reverted to the default values of version 4.2, and must be set again.

Procedure

To upgrade the Barco CMS plugin from 3.0 to 3.3:

  1. If you were using video sequences in the Barco CMS plugin 3.0, make sure the plugin is running and connected to the Barco CMS server.
    NOTE: Do not change the IP address of the Barco CMS server or install a new Barco CMS server at the same time as you upgrade the plugin. The Barco CMS server should be the same (same version, same IP address, and same database) as before the upgrade.
  2. Download and install the Barco CMS plugin 3.3.

To upgrade the Barco CMS plugin from 3.3 to 4.0:

  1. Update the Barco CMS server to version 2.8. For more information, see your Barco documentation.
    NOTE: After the upgrade, you will no longer be able to connect to the Barco CMS server because the 3.3 plugin does not support Barco CMS version 2.8, 2.9, or 2.10.
  2. Download and install the Barco CMS plugin 4.0.
  3. After Security Center has restarted, upgrade the Barco CMS plugin role database.
    1. From the Config Tool Plugins task, select the Barco CMS plugin role.
    2. On the Resources page, click Database update.

To upgrade the Barco CMS plugin from 4.0 to 4.2:

  1. Update the Barco CMS server to version 2.9, 2.10, 3.0, or 3.2. For more information, see your Barco documentation.
  2. Download and install the Barco CMS plugin 4.2.
  3. After Security Center has restarted, upgrade the Barco CMS plugin role database.
    1. From the Config Tool Plugins task, select the Barco CMS plugin role.
    2. On the Resources page, click Database update.

After you finish